#ifndef _RTE_CONTROL_VECTORIAL_PARAMETERS_H
#define _RTE_CONTROL_VECTORIAL_PARAMETERS_H
#include "rtwtypes.h"
#include "SegmentInfo.hpp"
#include "multiword_types.h"
#include "zero_crossing_types.h"
#include "control_vectorial_types.h"

struct RTE_Param_Service_T {
  real_T Lq;
  real_T Potencia;
  real_T T_max;
  real_T V_alinear;
  real_T Vdc;
  real_T Vmax;
  real_T cte_encoder;
  real_T gain_velocidad;
  real_T k;
  real_T ki_iq;
  real_T kp_id;
  real_T kp_iq;
  real_T n_lim_direccion;
  real_T p;
  real_T wb;
};

extern RTE_Param_Service_T RTE_Param_Service;
extern RTE_Param_Service_T *RTE_Param_Service_ptr;
real_T* get_Lq(void);
real_T* get_Potencia(void);
real_T* get_T_max(void);
real_T* get_V_alinear(void);
real_T* get_Vdc(void);
real_T* get_Vmax(void);
real_T* get_cte_encoder(void);
real_T* get_gain_velocidad(void);
real_T* get_k(void);
real_T* get_ki_iq(void);
real_T* get_kp_id(void);
real_T* get_kp_iq(void);
real_T* get_n_lim_direccion(void);
real_T* get_p(void);
real_T* get_wb(void);
namespace slrealtime
{
  SegmentVector &getSegmentVector(void);
}                                      // slrealtime

#endif
